# Interface methods for submodule: Rigid2DTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MatrixOffsetTransformBaseProxy as _MatrixOffsetTransformBaseProxy


# Interface methods for class: Rigid2DTransform
class Rigid2DTransformProxy(_MatrixOffsetTransformBaseProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	@overload
	def SetMatrix(self, matrix) -> None:
		""""""
		...

	@overload
	def SetMatrix(self, matrix, tolerance: float) -> None:
		""""""
		...

	def Translate(self, offset: Sequence[float], pre: bool = False) -> None:
		""""""
		...

	@overload
	def BackTransform(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def BackTransform(self, vect: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def BackTransform(self, vect: vnl_vector_fixed) -> vnl_vector_fixed:
		""""""
		...

	def SetAngle(self, angle: float) -> None:
		""""""
		...

	def GetAngle(self) -> float:
		""""""
		...

	def SetAngleInDegrees(self, angle: float) -> None:
		""""""
		...

	def SetRotation(self, angle: float) -> None:
		""""""
		...

	def GetRotation(self) -> float:
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], j) -> None:
		""""""
		...

	def CloneInverseTo(self, result) -> None:
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

	def CloneTo(self, result) -> None:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

